<?php


require_once(ABSPATH . 'wp-admin/includes/upgrade.php');


function wtg_messages_po() {
	$wtg_option = get_option('wtg_option');
	if(!$wtg_option['registration']) {
		echo '<br><div class="error"><p>Plugin has not been registered.  Click HERE to <a href="'.$_SERVER['PHP_SELF'].'?page=register">register</a>.</p></div>';
	}
	$result = wtg_get_version_po(WTG_UPGRADE_VERSION_URL);
	$checkver = version_compare($result, WTG_CURRENT_VERSION_po);
	
	if($checkver == 1) {  
		echo '<div class="error"><p>An upgrade v'.$result.' is available for download.</p></div>';
	}
}

function wtg_check_registration_status_po()
{
	$wtg_option = get_option('wtg_option');
	$message=wtg_post_data_po(WTG_CHECK_URL, array("receipt_num" => convert_uudecode($wtg_option['receipt_number']), "domain" => $_SERVER['SERVER_NAME'], "ipaddress" => $_SERVER['REMOTE_ADDR'], "type" => 'wtg'));
	$pos = strpos($message, 'uncomplete');
	if($pos === false) {
	}
	else
	{
		echo "<br><div class='error'><p>Your copy of Web Traffic Genius is unregistered.  Please <a href='http://www.webtrafficgenius.com/traffic.html'>click here</a> to purchase your own licensed copy.</p></div>";
		$wtg_option['registration']=0;
		$wtg_option['receipt_number']='';
		$wtg_option['domain']='';
		$wtg_option['registration_date']=convert_uuencode(date("Y-m-d h:i:s"));
		$random_number=rand(3,7);
		$wtg_option['time_interval']=$random_number;
		update_option('wtg_option', $wtg_option);
	}
}

function wtg_installdb_po()
{
	global $wpdb;
	$wtg_option = get_option('wtg_option');
	
	///////////////////////////////////////////////////////////////////////
	// CHECK AND CREATE CAPTCHA TABLE
		$table_name_captcha = $wpdb->prefix . "_plu_captcha_services";
		if($wpdb->get_var("SHOW TABLES LIKE '$table_name_captcha'") != $table_name_captcha)
		{
			$sql = "CREATE TABLE IF NOT EXISTS `".$table_name_captcha."` (
					  `id` int(11) NOT NULL AUTO_INCREMENT,
					  `name` varchar(50) NOT NULL,
					  `status` varchar(10) NOT NULL,
					  `user` varchar(40) NOT NULL,
					  `password` varchar(40) NOT NULL,
					  `key` varchar(100) NOT NULL,
					  PRIMARY KEY (`id`)
					) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;";
			dbDelta($sql);
			$wpdb->insert( $table_name_captcha, array( 'name' => "decaptcher.com", 'status' => "enabled" ) );
			$wpdb->insert( $table_name_captcha, array( 'name' => "deathbycaptcha", 'status' => "disabled" ) );
			$wpdb->insert( $table_name_captcha, array( 'name' => "bypasscaptcha.com", 'status' => "disabled" ) );
			//echo "<br/>Table".$table_name_captcha."Created<br/>";
			//echo "<br><div class='updated fade'><p>New WTG Database setup installed. You may need to input your Captcha Service logins again via the Captcha Services screen.</p></div>";
			$wtg_option = get_option('wtg_option');
			$wtg_option['has_captcha_table'] = 1;
			update_option('wtg_option', $wtg_option);
		}
	// END CHECK AND CREATE CAPTCHA TABLE
	///////////////////////////////////////////////////////////////////////
	
	///////////////////////////////////////////////////////////////////////
	// CHECK AND CREATE EXTRAFEEDS TABLE
		$table_name_extrafeeds = $wpdb->prefix . "_plu_extrafeeds";
		if($wpdb->get_var("SHOW TABLES LIKE '$table_name_extrafeeds'") != $table_name_extrafeeds)
		{
			$sql = "CREATE TABLE IF NOT EXISTS `".$table_name_extrafeeds."` (
					  `id` int(11) NOT NULL AUTO_INCREMENT,
					  `title` varchar(255) NOT NULL,
					  `url` varchar(255) NOT NULL,
					  `desc` text NOT NULL,
					  PRIMARY KEY (`id`)
					) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;";

			dbDelta($sql);
			//echo "<br/>Table".$table_name_extrafeeds."Created<br/>";
			//echo "<br><div class='updated fade'><p>New Web Traffic Genius Database setup installed. Please import your Extra feeds xml via the import screen.</p></div>";
			$wtg_option = get_option('wtg_option');
			$wtg_option['has_extrafeeds_table'] = 1;
			update_option('wtg_option', $wtg_option);
		}

	// END CHECK AND CREATE EXTRAFEEDS TABLE
	///////////////////////////////////////////////////////////////////////
	
	///////////////////////////////////////////////////////////////////////
	// CHECK AND CREATE AGGEGATORS TABLE
		$table_name_aggregators = $wpdb->prefix . "_plu_aggregators";
		if($wpdb->get_var("SHOW TABLES LIKE '$table_name_aggregators'") != $table_name_aggregators)
		{
			$sql = "CREATE TABLE IF NOT EXISTS `".$table_name_aggregators."` (
					  `id` int(11) NOT NULL AUTO_INCREMENT,
					  `name` varchar(255) NOT NULL,
					  `enabled` smallint(6) NOT NULL DEFAULT '0',
					  `hasLogin` smallint(6) NOT NULL DEFAULT '0',
					  `hasCaptcha` smallint(6) NOT NULL DEFAULT '0',
					  `isReady` smallint(6) NOT NULL DEFAULT '0',
					  PRIMARY KEY (`id`)
					) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=67 ;";

			dbDelta($sql);
			$wpdb->query("INSERT INTO `".$table_name_aggregators."` (`id`, `name`, `enabled`, `hasLogin`, `hasCaptcha`, `isReady`) VALUES
						(1, 'anse.de/rdfticker/', 0, 0, 0, 1),
						(2, 'blog-directory.org', 0, 0, 0, 1),						
						(5, 'boingboing.net', 0, 0, 0, 1),						
						(7, 'educational-feeds.com', 0, 0, 0, 1),
						(8, 'feedgy.com', 0, 0, 0, 1),
						(10, 'feedplex.com', 0, 0, 0, 1),
						(12, 'finance-investing.com', 0, 0, 0, 1),
						(13, 'fybersearch.com', 0, 0, 0, 1),
						(14, 'goldenfeed.com', 0, 0, 0, 1),
						(15, 'government-central.com', 0, 0, 0, 1),
						(16, 'icerocket.com', 0, 0, 0, 1),
						(17, 'medical-feeds.com', 0, 0, 0, 1),
						(18, 'metafeeder.com', 0, 0, 0, 1),
						(19, 'moneyhighstreet.com', 0, 0, 0, 1),
						(21, 'ngoid.sourceforge.net', 0, 0, 0, 1),						
						(23, 'political-humor.net', 0, 0, 0, 1),
						(24, 'propertyshowrooms.com', 0, 0, 0, 1),
						(25, 'realty-feeds.net', 0, 0, 0, 1),
						(26, 'religious-podcasts.net', 0, 0, 0, 1),
						(27, 'rss-network.com', 0, 0, 0, 1),
						(28, 'rss.feed.rs', 0, 0, 0, 1),						
						(30, 'rsstop10.com', 0, 0, 0, 1),
						(31, 'sports-feeds.com', 0, 0, 0, 1),
						(32, 'videocasting-station.com', 0, 0, 0, 1); ");
						
		}
		
		$table_name_agg_submit = $wpdb->prefix . "_plu_agg_submit";
		if($wpdb->get_var("SHOW TABLES LIKE '$table_name_agg_submit'") != $table_name_agg_submit)
		{
			$sql = "CREATE TABLE IF NOT EXISTS `".$table_name_agg_submit."` (
					  `id` int(11) NOT NULL,
					  `steps` text NOT NULL,
					  PRIMARY KEY (`id`)
					) ENGINE=MyISAM DEFAULT CHARSET=latin1;";

			dbDelta($sql);
			$wpdb->query("INSERT INTO `".$table_name_agg_submit."` (`id`, `steps`) VALUES
						(1, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:43:\"http://www.anse.de/rdfticker/addchannel.php\";s:11:\"successRegx\";s:37:\"|Thanks for submitting this channel.|\";s:6:\"params\";a:4:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:6:\"title_\";s:11:\"param_value\";s:30:\"wtg_callback_rss_feed_title_po\";}i:1;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:8:\"feedurl_\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:2;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:9:\"language_\";s:11:\"param_value\";s:7:\"English\";}i:3;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:12:\"description_\";s:11:\"param_value\";s:36:\"wtg_callback_rss_feed_description_po\";}}}}'),
						(2, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"1\";s:3:\"url\";s:42:\"http://www.blog-directory.org/add-blog.php\";s:11:\"successRegx\";s:36:\"|Thank you for submitting your blog|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:5:\"title\";s:11:\"param_value\";s:30:\"wtg_callback_rss_feed_title_po\";}i:1;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}}}}'),						
						(5, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:34:\"http://boingboing.net/suggest.html\";s:11:\"successRegx\";s:33:\"|Thanks for suggesting your link|\";s:6:\"params\";a:3:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:7:\"subject\";s:11:\"param_value\";s:30:\"wtg_callback_rss_feed_title_po\";}i:1;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:13:\"suggested_url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:2;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:11:\"description\";s:11:\"param_value\";s:36:\"wtg_callback_rss_feed_description_po\";}}}}'),						
						(7, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:46:\"http://www.educational-feeds.com/submitrss.php\";s:11:\"successRegx\";s:34:\"|New RSS feed successfully added!|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:35:\"88|||Early Childhood Software Feeds\";}}}}'),
						(8, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"1\";s:3:\"url\";s:33:\"http://www.feedgy.com/Submit.aspx\";s:11:\"successRegx\";s:20:\"|has been submitted|\";s:6:\"params\";a:1:{i:0;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:17:\"template\$m_RSSURL\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}}}}\r\n'),
						(10, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:4:\"name\";s:11:\"formIDValue\";s:6:\"addurl\";s:3:\"url\";s:35:\"http://www.feedplex.com/add-url.php\";s:11:\"successRegx\";s:46:\"|You have successfully suggested your website|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:5:\"email\";s:11:\"param_value\";s:26:\"wtg_callback_post_email_po\";}i:1;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:7:\"website\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}}}}'),
						(12, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:46:\"http://www.finance-investing.com/submitrss.php\";s:11:\"successRegx\";s:34:\"|New RSS feed successfully added!|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:23:\"20|||Financial Planning\";}}}}'),
						(13, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:4:\"name\";s:11:\"formIDValue\";s:6:\"addurl\";s:3:\"url\";s:38:\"http://www.fybersearch.com/add-url.php\";s:11:\"successRegx\";s:33:\"|You have successfully suggested|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:5:\"email\";s:11:\"param_value\";s:26:\"wtg_callback_post_email_po\";}i:1;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:7:\"website\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}}}}'),
						(14, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"1\";s:3:\"url\";s:38:\"http://www.goldenfeed.com/AddFeed.aspx\";s:11:\"successRegx\";s:45:\"|Your RSS feed has been submitted for review|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:17:\"template\$m_RSSURL\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:20:\"template\$m_AddButton\";s:11:\"param_value\";s:11:\"Submit Feed\";}}}}'),
						(15, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:47:\"http://www.government-central.com/submitrss.php\";s:11:\"successRegx\";s:34:\"|New RSS feed successfully added!|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:41:\"104|||General Australian Government Feeds\";}}}}'),
						(16, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:4:\"name\";s:11:\"formIDValue\";s:7:\"addblog\";s:3:\"url\";s:36:\"http://www.icerocket.com/c?p=addblog\";s:11:\"successRegx\";s:8:\"|Thanks|\";s:6:\"params\";a:1:{i:0;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}}}}'),
						(17, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:42:\"http://www.medical-feeds.com/submitrss.php\";s:11:\"successRegx\";s:34:\"|New RSS feed successfully added!|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:29:\"183|||Medical Education Feeds\";}}}}'),
						(18, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:43:\"http://www.metafeeder.com/suggest-feed.html\";s:11:\"successRegx\";s:8:\"|Stored|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:5:\"feeds\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:8:\"comments\";s:11:\"param_value\";s:36:\"wtg_callback_rss_feed_description_po\";}}}}'),
						(19, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:58:\"http://www.moneyhighstreet.com/feed_directory/add_url.php/\";s:11:\"successRegx\";s:22:\"|Your Feed Submission|\";s:6:\"params\";a:4:{i:0;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:4:\"name\";s:11:\"param_value\";s:8:\"testuser\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:5:\"email\";s:11:\"param_value\";s:26:\"wtg_callback_post_email_po\";}i:2;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:20:\"5|||Finance Articles\";}i:3;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}}}}'),						
						(21, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:40:\"http://ngoid.sourceforge.net/sub_rss.php\";s:11:\"successRegx\";s:4:\"|.*|\";s:6:\"params\";a:1:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}}}}'),						
						(23, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:44:\"http://www.political-humor.net/submitrss.php\";s:11:\"successRegx\";s:34:\"|New RSS feed successfully added!|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:37:\"104|||Australian Political News Feeds\";}}}}'),
						(24, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"1\";s:3:\"url\";s:59:\"http://www.propertyshowrooms.com/news/submit-news-feed.html\";s:11:\"successRegx\";s:38:\"|Success! Your RSS Feed was Submitted|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:11:\"SF_Feed_Url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:14:\"SF_Feed_Author\";s:11:\"param_value\";s:8:\"test.com\";}}}}'),
						(25, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:4:\"name\";s:11:\"formIDValue\";s:7:\"addform\";s:3:\"url\";s:41:\"http://www.realty-feeds.net/submitrss.php\";s:11:\"successRegx\";s:34:\"|New RSS feed successfully added!|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:30:\"95|||Fiji Homes and Apartments\";}}}}'),
						(26, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:4:\"name\";s:11:\"formIDValue\";s:7:\"addform\";s:3:\"url\";s:47:\"http://www.religious-podcasts.net/submitrss.php\";s:11:\"successRegx\";s:34:\"|New RSS feed successfully added!|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:11:\"2|||Genesis\";}}}}'),
						(27, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:4:\"name\";s:11:\"formIDValue\";s:7:\"addform\";s:3:\"url\";s:40:\"http://www.rss-network.com/submitrss.php\";s:11:\"successRegx\";s:25:\"|feed successfully added|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:13:\"103|||General\";}}}}'),
						(28, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"1\";s:3:\"url\";s:19:\"http://rss.feed.rs/\";s:11:\"successRegx\";s:11:\"|feed.php?|\";s:6:\"params\";a:5:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:7:\"feedurl\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:4:\"itle\";s:11:\"param_value\";s:30:\"wtg_callback_rss_feed_title_po\";}i:2;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"itemsnum\";s:11:\"param_value\";s:2:\"10\";}i:3;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:5:\"width\";s:11:\"param_value\";s:3:\"250\";}i:4;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:7:\"styleid\";s:11:\"param_value\";s:7:\"Classic\";}}}}'),						
						(30, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:4:\"name\";s:11:\"formIDValue\";s:9:\"submitrss\";s:3:\"url\";s:48:\"http://www.rsstop10.com/directory/rss-submit.php\";s:11:\"successRegx\";s:35:\"|Thank You for submitting RSS Feed|\";s:6:\"params\";a:6:{i:0;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:4:\"name\";s:11:\"param_value\";s:4:\"test\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:5:\"email\";s:11:\"param_value\";s:26:\"wtg_callback_post_email_po\";}i:2;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:5:\"title\";s:11:\"param_value\";s:30:\"wtg_callback_rss_feed_title_po\";}i:3;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:11:\"description\";s:11:\"param_value\";s:36:\"wtg_callback_rss_feed_description_po\";}i:4;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"rss\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:5;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:10:\"categories\";s:11:\"param_value\";s:21:\"Computers|||Computers\";}}}}'),
						(31, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:41:\"http://www.sports-feeds.com/submitrss.php\";s:11:\"successRegx\";s:34:\"|New RSS feed successfully added!|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:23:\"53|||Cricket Blog Feeds\";}}}}'),
						(32, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:5:\"index\";s:11:\"formIDValue\";s:1:\"0\";s:3:\"url\";s:49:\"http://www.videocasting-station.com/submitrss.php\";s:11:\"successRegx\";s:34:\"|New RSS feed successfully added!|\";s:6:\"params\";a:2:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:30:\"17|||Internet Marketing Videos\";}}}}')
						");
				
				/*$wpdb->query("INSERT INTO `".$table_name_agg_submit."` (`id`, `steps`) VALUES
						(67, 'a:1:{i:2;a:5:{s:10:\"formIDType\";s:4:\"name\";s:11:\"formIDValue\";s:7:\"addform\";s:3:\"url\";s:37:\"http://www.myrss365.com/submitrss.php\";s:11:\"successRegx\";s:17:\"|submit Your RSS|\";s:6:\"params\";a:3:{i:0;a:3:{s:10:\"param_type\";s:16:\"callbackFunction\";s:10:\"param_name\";s:3:\"url\";s:11:\"param_value\";s:28:\"wtg_callback_rss_feed_url_po\";}i:1;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:12:\"maincategory\";s:11:\"param_value\";s:8:\"Computer\";}i:2;a:3:{s:10:\"param_type\";s:5:\"value\";s:10:\"param_name\";s:8:\"category\";s:11:\"param_value\";s:8:\"Internet\";}}}}');						
						");*/
			//echo "<br><div class='updated fade'><p>New Web Traffic Genius Database setup installed. You may need to input your aggregator logins again via the Manage Aggregators screen.</p></div>";
			
		}
	// END CHECK AND CREATE AGGEGATORS TABLE
	///////////////////////////////////////////////////////////////////////
}

function wtg_db_check_and_create_po()
{
	global $wpdb;
	$wtg_option = get_option('wtg_option');
	
	$table_name_extrafeeds = $wpdb->prefix . "_plu_extrafeeds";
	$table_name_captcha = $wpdb->prefix . "_plu_captcha_services";
	$table_name_agg_submit = $wpdb->prefix . "_plu_agg_submit";
	$table_name_aggregators = $wpdb->prefix . "_plu_aggregators";
	///////////////////////////////////////////////////////////////////////
	// UPDATE VERSION NUMBER
	$installed_ver = get_option( "wtg_db_version" );
	if (isset($installed_ver) && ($installed_ver != WTG_CURRENT_VERSION_po))
		update_option( "wtg_db_version", WTG_CURRENT_VERSION_po );
	else
		add_option("wtg_db_version", WTG_CURRENT_VERSION_po);
	// END UPDATE VERSION NUMBER
	///////////////////////////////////////////////////////////////////////
	
	if (($wpdb->get_var("SHOW TABLES LIKE '$table_name_captcha'") != $table_name_captcha) 
	     ||	($wpdb->get_var("SHOW TABLES LIKE '$table_name_extrafeeds'") != $table_name_extrafeeds)
		 || ($wpdb->get_var("SHOW TABLES LIKE '$table_name_agg_submit'") != $table_name_agg_submit) 
		 || ($wpdb->get_var("SHOW TABLES LIKE '$table_name_aggregators'") != $table_name_aggregators)  )
	{
		wtg_installdb_po();
	}
}

?>